#!/usr/bin/env kjscmd

println( "Hello World" );

var d = new DCOPClient();

if ( d.attach())
{
	println("Attached...");
	if( d.isAttached() )
	{
		var ref = new DCOPRef();
		ref.setRef( "KWeatherService", "WeatherService" );
		println ( ref.call( "date(QString)", "KMKE") );

	}
	else
		println( "Error!" )
}
else
	println("Failed...");

println( "Done" );
